Subject: [nat66] [Fwd: Re: [Fwd: Re: [BEHAVE] FYI: draft-despres-sam-02 enclosed]]

From: Rémi Després <[email-masked]>
Date: Tue, 17 Mar 2009 16:45:00 +0100

Oops, forgot to send to the
mailing list !

-------- Message original --------

Sujet :

Re: [nat66] [Fwd: Re: [BEHAVE] FYI: draft-despres-sam-02
enclosed]

Date :

Tue, 17 Mar 2009 16:42:30 +0100

De :

Rémi Després <[email-masked]>

Pour :

Margaret Wasserman <[email-masked]>

Références :

<[email-masked]>
<[email-masked]>

Margaret Wasserman - le (m/j/a) 3/17/09 2:49 PM:
>
> On Mar 17, 2009, at 5:05 AM, Rémi Després wrote:>
>> With SAM, hosts know their global addresses, and can use them, e.g. with
>> SCTP or Shim6.
>> In my understanding, this is a difference (an an important one).
> Yes, this is an important difference between SAM and NAT66, although
> comparing them is like comparing apples and oranges, since they don't
> solve the same problems...
I see them as _complementary_, but both dealing with address independence.

> IMO, SAM does not provide a solution to the Address Independence
> requirement, as the local hosts need to know their global addresses.
They _need to know_ their local address _only if_ the wish to restore
e2e network transparency.
But if they wish to, they at least are given a tool to do it .
> Therefore, I am not sure why it is being proposed for discussion in
> the IPv6 Address Independence (6AI) BOF. Could you explain?
Sure (at least I can try).

If one wants address independence for easy renumbering, it expects to be
given tools for this:

- NAT66 (or NPT66 as Fred proposed to call it) can be a tool to be used
by hosts that don't care about e2e transparency.
- SAM can be a tool to be used by hosts that care about e2e (and in
which an upgrade to get an extra feature is not considered impossible).

Does this clarify the point?

Regards,
RD